using Microsoft.AspNetCore.Mvc;
using System.Text.Json;

namespace NeDvachAPI.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class ListController : ControllerBase
    {
        [HttpGet(Name = "GetPosts")]
        public string Get()
        { 

            //Post[] posts  = DBchat.DbList();
            List<Post> posts  = DBchat.DbList();
            string postsJson = JsonSerializer.Serialize(posts);
            Console.WriteLine("Запрошен список постов");
            return postsJson ;


        }
    }
}
